std::add_cv< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

typedef add_const< typenameadd_volatile< _Tp >::type >::type | type

## Detailed Description

template<typename _Tp>
struct std::add_cv< _Tp >

add_cv

Definition at line 1580 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp>

typedef add_const<typenameadd_volatile<_Tp>::type>::type std::add_cv< _Tp >::type

Definition at line 1583 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits